List Image Versions
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/{goldImageId}/versions
Lists image versions
Request
Path Parameters
-
goldImageId(required): string
ID of the image
Query Parameters
-
limit: integer(int32)
Limit count of the items in the responseExample:
10 -
nameMatches: string
Wildcard search on the name of the imageExample:
%DB19% -
page: string
Marker indicating the next set (page) of itemsExample:
b2Zmc2V0OjA -
sort: string
Comma separated list of fields along with an optional sort direction. The supported attribute of sorting is 'name'.Valid sort directions are 'asc' and 'desc'. If sort direction is not specified, 'asc' is used by default.Example:
name:asc, name:desc, name -
statusMatches: string
Wildcard search on the status of the image versionExample:
%CURRENT%
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Ok. Image versions retrieved.
Root Schema : GoldImageVersionCollection
Type:
objectList of the image versions
Show Source
-
items(required): array
items
Array of the image version
Match All
List of the image versions
Show Source
-
object
Pagination
Collection of items with links
Nested Schema : items
Type:
arrayArray of the image version
Show Source
-
Array of:
object GoldImageVersionSummary
Summary of the image version
Nested Schema : Pagination
Type:
objectCollection of items with links
Show Source
-
count: integer
Count of this fetchExample:
40 -
links: object
Links
Represents the array of links
-
total: integer
total countExample:
40
Nested Schema : GoldImageVersionSummary
Type:
objectSummary of the image version
Show Source
-
externalId: string
External ID of the image versionExample:
oracle:defaultService:em:provisioning:1:cmp:COMP_Component:SUB_OracleDB:4BAFA861A7E96603E053057FB10A0588:0.1 -
hashCode: string
HashCode of the image versionExample:
C1622270664:B<NO_PATCHES> -
id: string
ID of the image versionExample:
4BAFA861A7ED6603E053057FB10A0588 -
imageId: string
ID of the imageExample:
4B7738536B6E7888E053057FB10ACF8C -
links: object
links
Navigation links
-
name: string
Name of the image versionExample:
PSUNos -
position: string
Position of a image versionExample:
1 -
provisioningStatus: string
Status of the provisioningExample:
READY -
releaseVersion: string
RU details of the versionExample:
19.12.0.0.0 -
status: string
Status of the image versionExample:
CURRENT -
timeCreated: string
(date-time)
Creation time of the image versionExample:
2017-03-27 10:13:28.0
Nested Schema : links
Type:
objectNavigation links
Show Source
-
self: object
Link
It represents a Link
Nested Schema : Links
Type:
objectRepresents the array of links
Show Source
-
next: object
Link
It represents a Link
-
previous: object
Link
It represents a Link
-
self: object
Link
It represents a Link
Examples
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message